<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_374bf250a2cd00d5f5742fea7c48" . "7197" => base64_decode("ZG9jdW1lbnRfdGl" . "0bGU="), "_af9f5df6df6e4ab6fd5318e89962707" . "8" => base64_decode("ZG9jdW1lbnRfdHlwZQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class ViewDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_374bf250" . "a2cd00d5f" . "5742fea7c" . "487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_af9f5df6df6e4a" . "b6fd5318e899627" . "078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}